# Steps for using GPU notebook instance. 
1. Go to https://ets-apps.ucsd.edu/individual/DSE260A_WI24_A00 - Login using your UCSD credentials

2. Go to the bottom of the above page and click on link that says “click here to Access AWS page” 

3. You will land here:

![AWS Opening page](https://github.com/labenf12/Physio-AI-Companion/blob/main/model/images/screenshot1.png)

4. In search, type SageMaker, and will reach here. On the left menu, select notebook and click “notebook instances” 

![AWS SageMaker page](https://github.com/labenf12/Physio-AI-Companion/blob/main/model/images/screenshot2.png)

5. You will land on the following page

![AWS SageMaker page](https://github.com/labenf12/Physio-AI-Companion/blob/main/model/images/screenshot3.png)

6. To start the notebook, click start beside the physioai-gpu notebook.

7. Once the instance starts, you will see options to launch jupyter notebook or jupyter lab.
  - Select jupyter lab

8. Once jupyter lab is launched, select the Terminal.

9. Follow the below steps to set up the required things to run WHAM
      - cd SageMaker/
      - cp bin.tar.gz ..
      - cd ..
      - tar -xvzf bin.tar.gz
      - cd SageMaker/
      - bash
      - conda activate /home/ec2-user/SageMaker/wham

10. Once all the above steps are successful, we need to install the WHAM kernel. To do so, run the second command under commands.txt or copy this : python -m ipykernel install --user --name wham --display-name "WHAM"

11. After the above step, one can launch a notebook with the WHAM kernel. (takes about a min)

![AWS Kernel](https://github.com/labenf12/Physio-AI-Companion/blob/main/model/images/screenshot4.png)
